location ~ [^/]\.php(/|$)
{
    #try_files $uri =404;
    fastcgi_pass  unix:/tmp/php-cgi7.4.sock;
    fastcgi_index index.php;
    include fastcgi.conf;
    include pathinfo.conf;
    fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;

    # 处理 ?s= 参数
    if ($query_string ~ "^s=(.*)$") {
        set $path_info "/$1";
    }
}